#include <iostream>
#include <string>
int min(int a[],int n);
using namespace std;
int main() {
string t,s,slovo;
int n,m,c,k;
getline(cin,t);
getline(cin,s);
n=t.length();
m=s.length();
k=n;
for(int i=0;i<m;i++){
  int s2=0;
  for(int j=0;j<n;j++){
    if(s[i]==t[j]){
      s2++;
    }
  }
if(k>s2){
  k=s2;
  c=i;
}
}
slovo=s[c];
for(int i=0;i<n;i++){
  if(t.substr(i,1)==slovo){  
    t[i]=char(42);
  }
}
cout<<t;
}